Skip to main content
POST
/
api
/
orgs
/
{id}
/
kpis
/
{kpiId}
/
http-syncs
/
{syncId}
/
validate
Validate stored KPI HTTP sync
curl --request POST \
  --url https://atollhq.com/api/orgs/{id}/kpis/{kpiId}/http-syncs/{syncId}/validate \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "config_hash": "<string>",
  "required_secrets": [
    {}
  ],
  "canonical_host": "<string>",
  "error": "<string>",
  "code": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id identifier

kpiId
string
required

kpiId identifier

syncId
string
required

syncId identifier

Response

Successful response

ok
boolean
config_hash
string
required_secrets
object[]
canonical_host
string
error
string
code
string